

import 'package:login_firebase/business/bloc/core/ModBaseSigninBloc.dart';
import 'package:login_firebase/business/dto/ModSessionDTO.dart';
import 'package:login_firebase/common/ModErrorCodes.dart';
import 'package:login_firebase/data/api/ISessionApi.dart';
import 'package:login_firebase/models/ThirdPartySessionModel.dart';

const String TAG = "AppleSigninBloc";


///
/// Business logic component for Apple signin
///
class AppleSigninBloc extends ModBaseSigninBloc {

  AppleSigninBloc() : super();

  @override
  Future<ThirdPartySessionModel?> callAuthentication(ModSessionDTO dto) async {
    return await this.repo.signIn(
        dto.mail,
        dto.pass,
        SessionTypes.APPLE);
  }

  @override
  int getErrorCode({Exception? e}) => ModErrorCodes.APPLE_SIGNIN;
}