

import 'package:login_firebase/business/bloc/core/ModBloc.dart';
import 'package:login_firebase/business/dto/ModCheckSignersDTO.dart';
import 'package:login_firebase/business/repo/ISessionRepo.dart';
import 'package:login_firebase/common/ModErrorCodes.dart';
import 'package:login_firebase/data/exception/ModDataException.dart';
import 'package:login_firebase/data/repos/SessionRepoImpl.dart';
import 'package:login_firebase/models/ThirdPartyCheckModel.dart';

const String TAG = "CheckSigninMethodsBloc";


/**
 * Business logic component for method checking
 */
class CheckSigninMethodsBloc extends ModBloc<ModCheckSignersDTO, ThirdPartyCheckModel> {
  final ISessionRepo repo = SessionRepoImpl();

  CheckSigninMethodsBloc() : super();

  @override
  void performOperation(ModCheckSignersDTO dto) async {

    var res;
    try {
      var data = await this.repo.checkSignersAvailable(dto.targets);

      res = this.buildResult(data: data);

    } on ModDataException {
      res = this.buildResult(data: null, code: ModErrorCodes.CHECK_METHODS);

    } on Exception  {
      res = this.buildResult(data: null, code: ModErrorCodes.CHECK_METHODS);

    } finally {
      this.processData(res);
    }
  }
}