
import 'package:login_firebase/business/dto/ModSessionDTO.dart';
import 'package:login_firebase/models/ThirdPartySessionModel.dart';

import '../../data/api/ISessionApi.dart';
import '../../common/ModErrorCodes.dart';
import 'core/ModBaseSigninBloc.dart';


const String TAG = "CustomSigninBloc";


///
/// Business logic component for custom signin
///
class CustomSigninBloc extends ModBaseSigninBloc {

  CustomSigninBloc() : super();

  @override
  Future<ThirdPartySessionModel?> callAuthentication(ModSessionDTO dto) async {
    return await this.repo.signIn(
        dto.mail,
        dto.pass,
        SessionTypes.CUSTOM);
  }

  @override
  int getErrorCode({Exception? e}) => ModErrorCodes.CUSTOM_SIGNIN;
}