


import 'package:login_firebase/business/bloc/core/ModBloc.dart';
import 'package:login_firebase/business/dto/ModSignUpDTO.dart';
import 'package:login_firebase/business/repo/ISessionRepo.dart';
import 'package:login_firebase/common/ModErrorCodes.dart';
import 'package:login_firebase/data/exception/ModDataException.dart';
import 'package:login_firebase/data/repos/SessionRepoImpl.dart';
import 'package:login_firebase/models/ThirdPartySessionModel.dart';

const String TAG = "SignUpBloc";


/**
 * Business logic component for method checking
 */
class SignUpBloc extends ModBloc<ModSignUpDTO, ThirdPartySessionModel> {
  final ISessionRepo repo = SessionRepoImpl();

  SignUpBloc() : super();

  @override
  void performOperation(ModSignUpDTO dto) async {

    var res;
    try {
      var data = await this.repo.signUp(dto.mail, dto.pass, dto.name);

      res = this.buildResult(data: data);

    } on ModDataException {
      res = this.buildResult(data: null, code: ModErrorCodes.SIGNUP);

    } on Exception{
      res = this.buildResult(data: null, code: ModErrorCodes.SIGNUP);

    } finally {
      this.processData(res);
    }
  }
}